Skip to main content
GET
/
inventory
/
transfers
/
{id}
Retrieve a transfer
curl --request GET \
  --url https://api.retrac.co/inventory/transfers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "fromLocationId": "<string>",
  "toLocationId": "<string>",
  "note": "<string>",
  "lines": [
    {
      "id": "<string>",
      "itemId": "<string>",
      "quantity": 123,
      "note": "<string>",
      "item": {
        "id": "<string>",
        "sku": "<string>",
        "description": "<string>"
      }
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "fromLocation": {
    "id": "<string>",
    "name": "<string>"
  },
  "toLocation": {
    "id": "<string>",
    "name": "<string>"
  },
  "movements": [
    {
      "id": "<string>",
      "itemId": "<string>",
      "quantity": 123,
      "fromLocationId": "<string>",
      "toLocationId": "<string>",
      "transferId": "<string>",
      "note": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Path Parameters

id
string
required

The transfer order ID.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

Response

The transfer order

id
string
required
fromLocationId
string
required
toLocationId
string
required
status
enum<string>
required
Available options:
completed,
reverted
note
string | null
required
lines
object[]
required
createdAt
string<date-time>
required
fromLocation
object
toLocation
object
movements
object[]